import type { User } from '@genesislcap/foundation-user';
import type { Auth, AuthInfo, LoginResult, LogoutResult } from '../../../';
/**
 * @internal
 */
export declare class AuthMock implements Auth {
    isWorking: boolean;
    loggedUserResult: LoginResult;
    currentUser: User;
    isLoggedIn: boolean;
    nextLoginResult: LoginResult;
    nextLogoutResult: LogoutResult;
    nextReAuthResult: boolean;
    login(credentials: AuthInfo): Promise<LoginResult>;
    logout(): Promise<LogoutResult>;
    reAuthFromSession(): Promise<boolean>;
}
//# sourceMappingURL=auth.d.ts.map